SDL_AssertionHandler(3type)

NAME
SDL_AssertionHandler - A callback that fires when an SDL assertion fails.

SYNOPSIS
#include <SDL3/SDL_assert.h>

typedef SDL_AssertState (SDLCALL *SDL_AssertionHandler)( const SDL_AssertData *data, void *userdata);

FUNCTION PARAMETERS

data
    a pointer to the SDL_AssertData structure corresponding to the current assertion.

userdata
    what was passed as userdata to SDL_SetAssertionHandler().

RETURN VALUE
Returns an SDL_AssertState value indicating how to handle the failure.

THREAD SAFETY
This callback may be called from any thread that triggers an assert at any time.

AVAILABILITY
This datatype is available since SDL 3.2.0.